LAVA-DOCKER-WORKER(1)

NAME
lava-docker-worker - run a LAVA worker inside a Docker container

SYNOPSIS
lava-docker-worker [options]

DESCRIPTION
lava-docker-worker runs and manages a LAVA worker inside a Docker environment. It connects to a LAVA server, retrieves jobs and executes them inside a containerised environment. It supports configuration of storage, network connectivity, authentication and logging.

OPTIONS

-h, --help
    Show a help message and exit.

--name NAME
    Name of the worker.

-d, --devel
    Enable development mode; sets defaults for several options.

-m, --mount [SRC[:DST] ...]
    Bind mount SRC from the host (as DST in the container, if given). Can be specified multiple times.

--sentry-dsn DSN
    Sentry Data Source Name.

STORAGE OPTIONS

--worker-dir DIR
    Path to data storage.

--build-dir DIR
    Path to a directory containing a Dockerfile used to build a customised lava-dispatcher Docker image.

--use-cache
    Use cache when building the custom Docker worker image.

NETWORK OPTIONS

--url URL
    Base URL of the LAVA server.

--ws-url URL
    WebSocket URL.

--http-timeout SECONDS
    HTTP timeout when communicating with the server. Should be longer than the server timeout.

--ping-interval SECONDS
    Interval between ping requests to the server.

--job-log-interval SECONDS
    Interval between job log submissions to the server.

--username USERNAME
    Username for automatic registration.

--token TOKEN
    Worker authentication token.

--token-file FILE
    File containing the worker authentication token.

LOGGING OPTIONS

--log-file FILE
    File to write worker logs to.

-l, --level {DEBUG,ERROR,INFO,WARN}
    Set log level (default: INFO).

EXIT STATUS

0   Success.

Non-zero
    An error occurred.

SEE ALSO
lava-worker(1), lava-dispatcher-host(1), docker(1)

AUTHOR

This manual page was written by Christopher Obbard obbardc@debian.org for the Debian GNU/Linux system.